# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Glyph Class Reference

The Glyph associated to a character of a given Font. More...

`#include <Font.hpp>`

Inheritance diagram for vl::Glyph:

List of all members.

## Public Member Functions

| Glyph ()
| ~Glyph ()
virtual const char * | className ()
| Returns the name of the class.
unsigned int | textureHandle () const
void | setTextureHandle (unsigned int handle)
int | width () const
void | setWidth (int width)
int | height () const
void | setHeight (int height)
int | left () const
void | setLeft (int left)
int | top () const
void | setTop (int top)
float | s0 () const
void | setS0 (float s0)
float | t0 () const
void | setT0 (float t0)
float | s1 () const
void | setS1 (float s1)
float | t1 () const
void | setT1 (float t1)
const fvec2 & | advance () const
void | setAdvance (const fvec2 &advance)
unsigned int | glyphIndex () const
void | setGlyphIndex (unsigned int glyph_index)
const Font * | font () const
void | setFont (Font *font)

## Protected Attributes

unsigned int | mTextureHandle
int | mWidth
int | mHeight
int | mLeft
int | mTop
float | mS0
float | mT0
float | mS1
float | mT1
fvec2 | mAdvance
unsigned int | mGlyphIndex
Font * | mFont

## Detailed Description

The Glyph associated to a character of a given Font.

## Constructor & Destructor Documentation

vl::Glyph::Glyph | ( |  | ) | `[inline]`

vl::Glyph::~Glyph | ( |  | ) |

## Member Function Documentation

virtual const char* vl::Glyph::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

unsigned int vl::Glyph::textureHandle | ( |  | ) | const`[inline]`

void vl::Glyph::setTextureHandle | ( | unsigned int | handle | ) | `[inline]`

int vl::Glyph::width | ( |  | ) | const`[inline]`

void vl::Glyph::setWidth | ( | int | width | ) | `[inline]`

int vl::Glyph::height | ( |  | ) | const`[inline]`

void vl::Glyph::setHeight | ( | int | height | ) | `[inline]`

int vl::Glyph::left | ( |  | ) | const`[inline]`

void vl::Glyph::setLeft | ( | int | left | ) | `[inline]`

int vl::Glyph::top | ( |  | ) | const`[inline]`

void vl::Glyph::setTop | ( | int | top | ) | `[inline]`

float vl::Glyph::s0 | ( |  | ) | const`[inline]`

void vl::Glyph::setS0 | ( | float | s0 | ) | `[inline]`

float vl::Glyph::t0 | ( |  | ) | const`[inline]`

void vl::Glyph::setT0 | ( | float | t0 | ) | `[inline]`

float vl::Glyph::s1 | ( |  | ) | const`[inline]`

void vl::Glyph::setS1 | ( | float | s1 | ) | `[inline]`

float vl::Glyph::t1 | ( |  | ) | const`[inline]`

void vl::Glyph::setT1 | ( | float | t1 | ) | `[inline]`

const fvec2& vl::Glyph::advance | ( |  | ) | const`[inline]`

void vl::Glyph::setAdvance | ( | const fvec2 & | advance | ) | `[inline]`

unsigned int vl::Glyph::glyphIndex | ( |  | ) | const`[inline]`

void vl::Glyph::setGlyphIndex | ( | unsigned int | glyph_index | ) | `[inline]`

const Font* vl::Glyph::font | ( |  | ) | const`[inline]`

void vl::Glyph::setFont | ( | Font * | font | ) | `[inline]`

## Member Data Documentation

unsigned int vl::Glyph::mTextureHandle`[protected]`

int vl::Glyph::mWidth`[protected]`

int vl::Glyph::mHeight`[protected]`

int vl::Glyph::mLeft`[protected]`

int vl::Glyph::mTop`[protected]`

float vl::Glyph::mS0`[protected]`

float vl::Glyph::mT0`[protected]`

float vl::Glyph::mS1`[protected]`

float vl::Glyph::mT1`[protected]`

fvec2 vl::Glyph::mAdvance`[protected]`

unsigned int vl::Glyph::mGlyphIndex`[protected]`

Font* vl::Glyph::mFont`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Font.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:35 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.